Toggle app scan policy plugin
/api/v1/app/{appId}/policy/plugins/{pluginId}/{toggle} Toggle Application Scan Policy
This endpoint allows for enabling or disabling a specific plugin within the scan policy of an application, based on the provided application and plugin ID.
Error Handling:
- 400 Bad Request: This response is returned if the
pluginIdprovided does not correspond to any plugin included in the application's current scan policy.
Additional Information:
Scan Policy plugins represent a security test designed to work with the StackHawk platform. HawkScan will run the plugin in a scan if it's enabled in the application scan policy.
🧾 Audited This is recorded as
APPLICATION_POLICY_MODIFIEDUser Activity.
Requires
write:policypermission.
Path parameters
appIdstring · uuidrequiredUUID identifier for this StackHawk Application.
pluginIdstringrequiredIdentifier for the Plugin.
togglestringrequiredToggles this plugin, either as 'enabled' or 'disabled'.
2 available options
enableddisabledResponse
OK
Unauthorized